spamassassin-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzilla-dae...@issues.apache.org
Subject [Bug 6547] New: Client.pm uses IO::Socket::INET, not IPv6 compatible
Date Thu, 03 Mar 2011 20:34:25 GMT
https://issues.apache.org/SpamAssassin/show_bug.cgi?id=6547

           Summary: Client.pm uses IO::Socket::INET, not IPv6 compatible
           Product: Spamassassin
           Version: 3.3.1
          Platform: PC
        OS/Version: Windows 7
            Status: NEW
          Severity: normal
          Priority: P2
         Component: Libraries
        AssignedTo: dev@spamassassin.apache.org
        ReportedBy: mishikal@yahoo.com


The Client.PM module only uses IO::Socket::INET, meaning it will not work with
IPv6 only hosts.  It should be updated to use IO::Socket::INET6 any time it is
available, since that supports both IPv4 and IPv6.

./Mail/SpamAssassin/Client.pm:    $remote = IO::Socket::INET->new( Proto     =>
"tcp",


--Quanah

-- 
Configure bugmail: https://issues.apache.org/SpamAssassin/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.

Mime
View raw message